> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> Get a list of users within an organization.

This endpoint intentionally omits sensitive user fields.



## OpenAPI

````yaml openapi-v1.json get /v1/users
openapi: 3.1.0
info:
  title: Algure API
  version: '1'
servers:
  - url: https://api.algure.com
    description: Algure Production Public API
security: []
paths:
  /v1/users:
    get:
      tags:
        - Users
      summary: List users
      description: |-
        Get a list of users within an organization.

        This endpoint intentionally omits sensitive user fields.
      operationId: listUsers
      parameters: []
      responses:
        '200':
          description: The user list
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - id
                    - username
                    - fullName
                    - role
                  properties:
                    id:
                      type: number
                    username:
                      type:
                        - string
                        - 'null'
                    fullName:
                      type:
                        - string
                        - 'null'
                    role:
                      oneOf:
                        - type: object
                          required:
                            - name
                            - id
                          properties:
                            name:
                              type: string
                            id:
                              type: string
                              enum:
                                - admin
                                - manager
                                - agent
                        - type: 'null'
      security:
        - PublicAuth: []
components:
  securitySchemes:
    PublicAuth:
      type: http
      scheme: basic
      description: >-
        Use Integration API credentials as HTTP Basic auth (username: client id,
        password: client secret).

````